import { createRouter, createWebHistory } from 'vue-router'
import { systemRoutes } from './whitelist'
 


const LAYOUT = () => import('@/layout/app/index.vue')

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [ 
    {
      path: "/",
      name: "main",
      redirect: "home",
      component: LAYOUT,
      children: [
        { 
          path: "home",
          name: "home",
          meta: { title: "首页", keepAlive: false },
          component: () => import("@/views/home/index.vue"),
        }
      ],
    },
    ...systemRoutes
  ],
})

export default router
